Which version of Python should we use to install the CMTK toolbox?

38 views
Skip to first unread message

Feng Fang

unread,
Feb 26, 2020, 10:10:27 PM2/26/20
to cmtk-users
Hi, so today I tried to install CMTK toolbox on my Linux computer (Red Hat 7.7). But it looks like the installation didn't work for version of python 3.x.x.

So I tried to re-install the python and changed it to python 2.7.x. However, after the installation and I typed 'connectomemapper' in the terminal, but some errors came up: 'ImportError: No module named abc'. 

Did anybody ever face this error? 
Which version of python did you use? 

Thanks.

Sebastien Tourbier

unread,
Feb 27, 2020, 3:01:26 AM2/27/20
to cmtk-...@googlegroups.com
Hi Feng,

Which version of CMP are you using? CMP1 and CMP2 are now deprecated, being not anymore maintained and supported.

The new ConnectomeMapper 3 comes with a docker image and the installation of a python 2.7 environment using miniconda (see installation instructions @ https://connectome-mapper-3.readthedocs.io/en/latest/installation.html ). We are currently translating the code from python2->3.

Note that I just noticed there is an error in the docs for the version of the CMP3 docker image:

The latest version tag is not v3.0.0-beta-singuzlarity anymore but  v3.0.0-beta-20200206 . In the docs, it should thus be:
>> docker pull sebastientourbier/connectomemapper-bidsapp:v3.0.0-beta-20200206

This will be corrected in the next versions.

Hope this helps.
Let me know

Sebastien
 



--
You received this message because you are subscribed to the Google Groups "cmtk-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cmtk-users+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/cmtk-users/2622d069-31fd-415c-8c54-123bc3527700%40googlegroups.com.

Feng Fang

unread,
Mar 8, 2020, 11:48:50 AM3/8/20
to cmtk-users
Hi Sebastien,

Thanks for your response. I have successfully installed the Connectome Mapper 3 BIDS App Manager now. But the GUI I opened looked different from what shown on the website. The Fig1 shown below is mine and Fig2 is what shown on the website. Do you know the reason why? Did I miss some important steps during installation? Thanks!

Best,
Feng

在 2020年2月27日星期四 UTC-6上午2:01:26,Sebastien Tourbier写道:
Hi Feng,

Which version of CMP are you using? CMP1 and CMP2 are now deprecated, being not anymore maintained and supported.

The new ConnectomeMapper 3 comes with a docker image and the installation of a python 2.7 environment using miniconda (see installation instructions @ https://connectome-mapper-3.readthedocs.io/en/latest/installation.html ). We are currently translating the code from python2->3.

Note that I just noticed there is an error in the docs for the version of the CMP3 docker image:

The latest version tag is not v3.0.0-beta-singuzlarity anymore but  v3.0.0-beta-20200206 . In the docs, it should thus be:
>> docker pull sebastientourbier/connectomemapper-bidsapp:v3.0.0-beta-20200206

This will be corrected in the next versions.

Hope this helps.
Let me know

Sebastien
 



On Thu, Feb 27, 2020 at 4:10 AM Feng Fang <ranji...@gmail.com> wrote:
Hi, so today I tried to install CMTK toolbox on my Linux computer (Red Hat 7.7). But it looks like the installation didn't work for version of python 3.x.x.

So I tried to re-install the python and changed it to python 2.7.x. However, after the installation and I typed 'connectomemapper' in the terminal, but some errors came up: 'ImportError: No module named abc'. 

Did anybody ever face this error? 
Which version of python did you use? 

Thanks.

--
You received this message because you are subscribed to the Google Groups "cmtk-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to cmtk-...@googlegroups.com.

Feng Fang

unread,
Mar 8, 2020, 11:49:48 AM3/8/20
to cmtk-users
Sorry the figures are attahced below.





在 2020年3月8日星期日 UTC-5上午10:48:50,Feng Fang写道:
Fig1_mine.png
Fig2_website.png

Sebastien Tourbier

unread,
Mar 9, 2020, 5:53:06 AM3/9/20
to cmtk-...@googlegroups.com
Dear Fang,

This is great news!

1st point: Do not worry about the appearance of the windows. In fact, the cmpbidsappmanager relies on PySide2 library (Free Qt5) for graphical backend and the appearance could change depending on the OS (for instance between Linux and Mac or between even two different versions of Linux) but the functionalities are the same. Also, the screenshots were taken from a previous version of CMP3 and the main title window shows a different version tag.

2nd point: This raises two issues for which I created specific GitHub issues (https://github.com/connectomicslab/connectomemapper3/issues/26 and https://github.com/connectomicslab/connectomemapper3/issues/27). We will make our best to fix them as soon as possible.

1. The CMTK.org domain is still pointing the documentation of the previous version of CMP which was using its own data organization, but which is now obsolete.
This is problem we will fix very soon by:
- making sure the CMTK.org website will point to the documentation of the new CMP v3
- putting a notification in the previous repositories of CMP1 and CMP2 and a redirection to the new CMP3

2. Documentation of CMP3 (https://connectome-mapper-3.readthedocs.io/en/latest/) is lacking an example of data structure/organization as it was given in the documentation of its predecessors.
I will add a section in to give an example.
Concerning the sample dataset, we do not provide a sample open dataset yet. However, CMP3 takes any dataset organized following the BIDS standard which should have at least T1w images, and could have DWI and/or resting-state fMRI images. See examples of BIDS organized datasets @ https://github.com/bids-standard/bids-examples.

For instance, a BIDS dataset with T1w and DWI images should adopt the following organization, naming, and file formats:

ds001/
    |___ dataset_description.json
    |___ CHANGES
    |___ README
    |___participants.tsv
    |___ sub-01/
               |___ anat/
               |         |___sub-01_T1w.nii.gz
               |         |___sub-01_T1w.json
               |___ dwi/
                         |___sub-01_dwi.nii.gz
                         |___sub-01_dwi.json
                         |___sub-01_dwi.bval
                         |___sub-01_dwi.bvec

Important notes:
- Nifti images should be converted from DICOMs using the dcm2niix converter (https://www.nitrc.org/projects/mricrogl) which will generate an extra *.json file (mandatory in BIDS) which summarizes acquisition metadata that are lost otherwise lost during conversion.
- An other great tool (which uses the dcm2niix converter) is Heudiconv (https://github.com/nipy/heudiconv) which is very flexible and has been developed to facilitate the conversion and organization to BIDS structured datasets, and it has great tutorials (https://heudiconv.readthedocs.io/en/latest/tutorials.html). 
- CMP3 will accept only valid BIDS datasets. So once you have created a new BIDS dataset or  just added new subjects, please validate your dataset with the BIDS validator () beforehand which can help you to identify and fix possible errors before being run throughout the CMP3 BIDS App.

Hope this helps. Let me know.

Best,

Sebastien

To unsubscribe from this group and stop receiving emails from it, send an email to cmtk-users+...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/cmtk-users/d1489757-32b4-4106-a62e-26b62691bae3%40googlegroups.com.

Feng Fang

unread,
Mar 11, 2020, 3:57:47 PM3/11/20
to cmtk-users
Hi Sebastien,

Thanks for your instructions and now I can run the app. But when I set everything up, and tried to click the Run BIDS App button. some error came up as shown below. Do you know the reason for this? Thanks.




在 2020年3月9日星期一 UTC-4上午5:53:06,Sebastien Tourbier写道:
Reply all
Reply to author
Forward
0 new messages